USN-5301-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-5301-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-5301-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-5301-1
Related
Published
2022-02-22T18:29:27.571030Z
Modified
2022-02-22T18:29:27.571030Z
Summary
cyrus-sasl2 vulnerability
Details

It was discovered that the Cyrus SASL SQL plugin incorrectly handled SQL input. A remote attacker could use this issue to execute arbitrary SQL commands.

References

Affected packages

Ubuntu:18.04:LTS / cyrus-sasl2

Package

Name
cyrus-sasl2

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2.1.27~101-g0780600+dfsg-3ubuntu2.4

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "libsasl2-modules-otp": "2.1.27~101-g0780600+dfsg-3ubuntu2.4",
            "libsasl2-2": "2.1.27~101-g0780600+dfsg-3ubuntu2.4",
            "libsasl2-modules-gssapi-heimdal": "2.1.27~101-g0780600+dfsg-3ubuntu2.4",
            "sasl2-bin": "2.1.27~101-g0780600+dfsg-3ubuntu2.4",
            "libsasl2-modules-db": "2.1.27~101-g0780600+dfsg-3ubuntu2.4",
            "libsasl2-modules": "2.1.27~101-g0780600+dfsg-3ubuntu2.4",
            "cyrus-sasl2-doc": "2.1.27~101-g0780600+dfsg-3ubuntu2.4",
            "libsasl2-modules-gssapi-mit": "2.1.27~101-g0780600+dfsg-3ubuntu2.4",
            "libsasl2-modules-sql": "2.1.27~101-g0780600+dfsg-3ubuntu2.4",
            "libsasl2-dev": "2.1.27~101-g0780600+dfsg-3ubuntu2.4",
            "libsasl2-modules-ldap": "2.1.27~101-g0780600+dfsg-3ubuntu2.4"
        }
    ]
}

Ubuntu:20.04:LTS / cyrus-sasl2

Package

Name
cyrus-sasl2

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2.1.27+dfsg-2ubuntu0.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "libsasl2-modules-otp": "2.1.27+dfsg-2ubuntu0.1",
            "libsasl2-2": "2.1.27+dfsg-2ubuntu0.1",
            "libsasl2-modules-gssapi-heimdal": "2.1.27+dfsg-2ubuntu0.1",
            "sasl2-bin": "2.1.27+dfsg-2ubuntu0.1",
            "libsasl2-modules-db": "2.1.27+dfsg-2ubuntu0.1",
            "libsasl2-modules": "2.1.27+dfsg-2ubuntu0.1",
            "cyrus-sasl2-doc": "2.1.27+dfsg-2ubuntu0.1",
            "libsasl2-modules-gssapi-mit": "2.1.27+dfsg-2ubuntu0.1",
            "libsasl2-modules-sql": "2.1.27+dfsg-2ubuntu0.1",
            "libsasl2-dev": "2.1.27+dfsg-2ubuntu0.1",
            "libsasl2-modules-ldap": "2.1.27+dfsg-2ubuntu0.1"
        }
    ]
}